Skip to content

Deep dependency health check

GET
/health/deep
curl --request GET \
--url https://example.com/api/health/deep \
--header 'Authorization: Bearer <token>'

Superadmin only. Runs external probes (Supabase, Mailgun, Stripe, Fly API) and returns per-service latency and status. Use for dashboards/monitoring, not Fly LB checks.

All dependencies healthy

Media type application/json
object

Not authenticated

Media type application/json
object
error
required

Human-readable error message

string
code

Stable machine-readable error code for client branching

string
fieldErrors

First validation message per field path

object
key
additional properties
string
issues

Structured validation issues (Zod)

Array<object>
object
path
required
string
message
required
string
retryAfter

Seconds until rate limit resets (429 responses)

number
reconnect

True if re-linking GitHub may fix the issue

boolean

Forbidden

Media type application/json
object
error
required

Human-readable error message

string
code

Stable machine-readable error code for client branching

string
fieldErrors

First validation message per field path

object
key
additional properties
string
issues

Structured validation issues (Zod)

Array<object>
object
path
required
string
message
required
string
retryAfter

Seconds until rate limit resets (429 responses)

number

One or more dependencies unhealthy

Media type application/json
object